# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: PoliPayment
    class: XC\PoliPayment\Model\Payment\Processor\PoliPayment
    type: C
    countries: [AU, NZ]
    translations:
      - code: en
        name: Poli Payment
      - code: es
        name: 'Poli Pago'
    settings:
      - name: merchantCurrency
        value: AUD
      - name: merchantReference
      - name: merchantReferenceFormat
        value: default
      - name: merchantCode
      - name: authenticationCode
      - name: mode
        value: test

XLite\Model\LanguageLabel:
  - {name: "Merchant code", translations: [{code: en, label: "Merchant code"}]}
  - {name: "Merchant currency", translations: [{code: en, label: "Merchant currency"}]}
  - {name: "Merchant reference", translations: [{code: en, label: "Merchant reference"}]}
  - {name: 'Processing mode', translations: [{code: en, label: 'Processing mode'}]}
